/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.modules.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.modules.entity.ModuleChoose;
import com.jeeplus.modules.modules.dao.ModuleChooseDao;

/**
 * 模块选择Service
 * @author 李韵轩
 * @version 2017-05-02
 */
@Service
@Transactional(readOnly = true)
public class ModuleChooseService extends CrudService<ModuleChooseDao, ModuleChoose> {

	public ModuleChoose get(String id) {
		return super.get(id);
	}
	
	public List<ModuleChoose> findList(ModuleChoose moduleChoose) {
		return super.findList(moduleChoose);
	}
	
	public Page<ModuleChoose> findPage(Page<ModuleChoose> page, ModuleChoose moduleChoose) {
		return super.findPage(page, moduleChoose);
	}
	
	@Transactional(readOnly = false)
	public void save(ModuleChoose moduleChoose) {
		super.save(moduleChoose);
	}
	
	@Transactional(readOnly = false)
	public void delete(ModuleChoose moduleChoose) {
		super.delete(moduleChoose);
	}
	
	
	
	
}